Subject: Re: Restore a single file in the index back to HEAD

From: Jakub Narebski <[email-masked]>
Date: Wed, 01 Nov 2006 10:38:57 +0100

Junio C Hamano wrote:

> Given a commit that is different from the current HEAD, "reset"
> moves the HEAD and depending on hardness of the reset it updates
> the index and the working tree.  Currently the command does not
> take paths limiters and means "the whole tree", but asking to
> update only one would logically fall as a natural extension to
> the current command line if we add paths limiters.
> 
> As an implementation detail of the new "reset", the ls-tree to
> update-index pipe could be used.
 
On the other hand "reset" moves the HEAD, and with pathspec it wouldn't
do that. But there is the same case for "checkout" with pathspec. And this
would make "reset" and "checkout" more similar...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git